/*****************************************\
*                                         *
* MYALLOC.C - My own memory allocation    *
*             to make it flexible         *
*                                         *
*                                         *
* Copyright (C) 2000 by Josef Drexler     *
*               <jdrexler@julian.uwo.ca>  *
*                                         *
* Permission granted to copy and redist-  *
* ribute under the terms of the GNU GPL.  *
* For more info please read the file      *
* COPYING which should have come with     *
* this file.                              *
*                                         *
\*****************************************/

#include <stdlib.h>
#include <string.h>
#include "myalloc.h"

void *myalloc(size_t size)
{
  return malloc(size);
}

void *mycalloc(size_t nitems, size_t size)
{
  return calloc(nitems, size);
}

void myfree(void *block)
{
  free(block);
}

void *myrealloc(void *block, size_t size)
{
  return realloc(block, size);
}

char *mystrdup(const char *s)
{
  int len = strlen(s);
  char *n = (char*) malloc(len+1);
  strncpy(n, s, len);
  n[len] = 0;
  return n;
} 